GET /entries/{source_lang}/{word_id}

oxforddictionaries.com

Summary: Retrieve dictionary information for a given word
Operation ID:
Auth: unknown
Description

Use this to retrieve definitions, [pronunciations](documentation/glossary?term=pronunciation), example sentences, [grammatical information](documentation/glossary?term=grammaticalfeatures) and [word origins](documentation/glossary?term=etymology). It only works for dictionary [headwords](documentation/glossary?term=headword), so you may need to use the [Lemmatron](documentation/glossary?term=lemma) first if your input is likely to be an [inflected](documentation/glossary?term=inflection) form (e.g., 'swimming'). This would return the linked [headword](documentation/glossary?term=headword) (e.g., 'swim') which you can then use in the Entries endpoint. Unless specified using a region filter, the default lookup will be the Oxford Dictionary of English (GB). <div id="dictionary_entries"></div>

Parameters (4)

app_id (string, header, required, default: 5037d509)

App ID Authentication Parameter

app_key (string, header, required, default: 4dc1aebaa63721f0f8e79a55e2514bc7)

App Key Authentication Parameter

source_lang (string, path, required)

IANA language code

Constraints: {'enum': ['en', 'es', 'lv', 'hi', 'sw', 'ta', 'gu', 'fr']}

word_id (string, path, required, default: ace)

An Entry identifier. Case-sensitive.

No probe data for this endpoint yet.